Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2c.catalog.pipeline
Class SearchPC

    java.lang.Object
      |
      +--com.bea.p13n.appflow.pipeline.PipelineComponentSupport
            |
            +--examples.e2e.b2c.catalog.pipeline.CatalogPC
                  |
                  +--examples.e2e.b2c.catalog.pipeline.SearchPC

public class SearchPC
extends CatalogPC

This `PipelineComponent` extracts a `CatalogQuery` from the `PipelineSession`, performs a catalog search based upon the `CatalogQuery`, and places the resultant `ViewIterator` into the `PipelineSession` session scope. The view size of the resultant `ViewIterator` may be specified using an optional `PipelineSession` request attribute named `PipelineSessionConstants.CATALOG_VIEW_SIZE`. If search results already exist in the `PipelineSession`, the previous results are returned.

See Also:
  `PipelineComponent`, `PipelineSession`, `ViewIterator`, `CatalogQueryManager`, `CatalogPC`

Fields inherited from class com.bea.p13n.appflow.pipeline.PipelineComponentSupport
`exFmt`

Constructor Summary
`SearchPC()`

Method Summary
`PipelineSession` | `process(PipelineSession pipelineSession, java.lang.Object requestContext)`

Methods inherited from class examples.e2e.b2c.catalog.pipeline.CatalogPC
`getCatalogManager, getCatalogRequest`

Methods inherited from class com.bea.p13n.appflow.pipeline.PipelineComponentSupport
`getCurrentNamespace, getRequestAttribute, getSessionAttribute, setRequestAttribute, setSessionAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchPC

    public SearchPC()

Method Detail

### process

    public PipelineSession process(PipelineSession pipelineSession,
                                   java.lang.Object requestContext)
                            throws PipelineException,
                                   java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved